import React, { PureComponent } from 'react';
import { ITitle } from '../title';
interface IWeatherParameters {
    key: string;
    city: string;
    extensions?: 'base' | 'all';
    output?: 'JSON' | 'XML';
    interval?: number;
}
export declare type Lives = {
    province: string;
    city: string;
    adcode: string;
    weather: string;
    temperature: string;
    winddirection: string;
    windpower: string;
    humidity: string;
    reporttime: string;
};
interface IProps {
    /**
     * 类名
     */
    className?: string;
    /**
     * 文案配置
     */
    textOptions?: ITitle;
    /**
     * 高德天气查询入参
     */
    params: IWeatherParameters;
    /**
     * 天气变化回调
     *
     * @param lives 天气指标
     * @memberof IProps
     */
    onChange?: (lives: Lives) => void;
}
interface IState {
    lives: Lives;
}
/**
 * 高德天气组件
 *
 * @class Weather
 * @extends {PureComponent<IProps, IState>}
 */
declare class Weather extends PureComponent<IProps, IState> {
    private subject$;
    private timeout;
    constructor(props: IProps);
    getWeather(params: IWeatherParameters): Promise<any>;
    componentDidMount(): void;
    componentDidUpdate(prevProps: IProps): void;
    componentWillUnmount(): void;
    render(): React.ReactNode;
}
export default Weather;
